de.caff.util.settings.swing

## Interface EditorProvider

- All Known Implementing Classes:
    AbstractBasicEditorProvider, AbstractBasicGroupEditor, BooleanEditor, ColorEditor, DirectoryEditor, EnumCheckedProxyEditorProvider, EnumEditor, FixEditorProvider, FormattedStringEditor, NumberEditor, PanelGroupEditor, StringEditor, TabbedGroupEditor, TextEditor, UrlListEditor

      public interface EditorProvider

  A name and a component.
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get a description for the property used.
    `javax.swing.JComponent` | `getEditor()` Get a component for editing.
    `javax.swing.JComponent` | `getLabel()` Get a label component for this editor.
    `java.lang.String` | `getLabelText()` Get the label text.
    `java.lang.String` | `getTitleText()` Get a title text for this editor component.
    `java.lang.String` | `getToolTipText()` Get a tool tip string for this editor component.
    `void` | `goodBye()` Called when the editor provider is no longer used.
    `boolean` | `isValidValue()` Is the value in the editor component valid?
    `void` | `reset()` Reset the value in the editor to the basic value.
    `void` | `save()` Set the basic value from the editor.

- - ### Method Detail

    - #### getLabelText

          @Nullable
          java.lang.String getLabelText()

      Get the label text.
      Returns:
        label text

    - #### getLabel

          @Nullable
          javax.swing.JComponent getLabel()

      Get a label component for this editor. If the returned component is null the `editor component` is inserted without a label.
      Returns:
        something used as a label component, or `null`

    - #### getTitleText

          @Nullable
          java.lang.String getTitleText()

      Get a title text for this editor component.
      Returns:
        a title text or `null` if a title makes no sense

    - #### getToolTipText

          @Nullable
          java.lang.String getToolTipText()

      Get a tool tip string for this editor component.
      Returns:
        tooltip text or `null` if no tooltip is used

    - #### getDescription

          @Nullable
          java.lang.String getDescription()

      Get a description for the property used.
      Returns:
        description, possibly multi-line

    - #### getEditor

          @NotNull
          javax.swing.JComponent getEditor()

      Get a component for editing.
      Returns:
        editor component, use non-editing components like labels for fix properties

    - #### isValidValue

          boolean isValidValue()

      Is the value in the editor component valid?
      Returns:
        `true` if the value is valid
        `false` otherwise

    - #### reset

          void reset()

      Reset the value in the editor to the basic value.

    - #### save

          void save()

      Set the basic value from the editor.

    - #### goodBye

          void goodBye()

      Called when the editor provider is no longer used.